Data Fields
PurpleMediaAppDataCallbacks Struct Reference

PurpleMediaAppDataCallbacks: : Called when the stream has received data and is readable. More...

`#include <mediamanager.h>`

## Data Fields
void(* | readable )(PurpleMediaManager *manager, PurpleMedia *media, const gchar *session_id, const gchar *participant, gpointer user_data)
void(* | writable )(PurpleMediaManager *manager, PurpleMedia *media, const gchar *session_id, const gchar *participant, gboolean writable, gpointer user_data)

## Detailed Description

PurpleMediaAppDataCallbacks: : Called when the stream has received data and is readable.

: Called when the stream has become writable or has stopped being writable.

A set of callbacks that can be installed on an Application data session with purple_media_manager_set_application_data_callbacks()

Once installed the callback will get called as long as data is available to read, so the data must be read completely. The callback will only be called when the writable state of the stream changes. The argument defines whether the stream has become writable or stopped being writable.

Definition at line 57 of file mediamanager.h.

The documentation for this struct was generated from the following file:

- mediamanager.h